import '../../stencil.core';
import { EventEmitter } from '../../stencil.core';
import { Action, ActionEvent, TableColumn, TableRow } from '../../interfaces/table.interface';
export declare class EdelTableComponent {
    rows: TableRow[];
    columns: TableColumn[];
    actions: Action[];
    actionMenu: boolean;
    emit: EventEmitter<ActionEvent>;
    render(): JSX.Element;
    renderTableHead(): JSX.Element[];
    renderActionMenuButtons(row: TableRow): JSX.Element;
    renderActionMenuHead(): JSX.Element;
    renderTableRow(row: TableRow): JSX.Element[];
    handleEvent(action: string, data: any): void;
    private renderCellContents;
}
